Vulnerability CVE-2008-6846


Published: 2009-07-02   Modified: 2012-02-13

Description:
Multiple stack-based buffer overflows in avast! Linux Home Edition 1.0.5, 1.0.5-1, and 1.0.8 allow remote attackers to cause a denial of service (application crash) or execute arbitrary code via a malformed (1) ISO or (2) RPM file.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
Avast antivirus for Linux multiple vulnerabilities
iViZ
06.07.2009

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.8/10
6.4/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Avast -> Avast antivirus 

 References:
http://www.ivizsecurity.com/security-advisory-iviz-sr-08013.html
http://www.securityfocus.com/archive/1/499080/100/0/threaded
http://www.securityfocus.com/bid/32747
http://www.vupen.com/english/advisories/2008/3460
https://exchange.xforce.ibmcloud.com/vulnerabilities/47251

Copyright 2020, cxsecurity.com

 

Back to Top